net.percederberg.mibble

## Class MibbleValidator

- java.lang.Object
- - net.percederberg.mibble.MibbleValidator

-     public class MibbleValidator
      extends java.lang.Object

  A program that parses and validates a MIB file. If the MIB file(s) specified on the command-line uses constructs or syntax that are not supported, an error message will be printed to the standard output. The program will also return the number of validation failures as its exit code.
  Since:
    2.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MibbleValidator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)` The application main entry point.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MibbleValidator

          public MibbleValidator()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

      The application main entry point.
      Parameters:
        `args` - the command-line parameters